{
  "name": "sparkguardian",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "env:sync": "node scripts/sync-env.cjs",
    "prestart": "npm run env:sync",
    "prebuild": "npm run env:sync",
    "start": "ng serve --proxy-config proxy.conf.cjs",
    "build": "ng build",
    "prewatch": "npm run env:sync",
    "watch": "ng build --watch --configuration development",
    "test": "ng test",
    "lint": "ng lint"
  },
  "private": true,
  "packageManager": "npm@11.6.2",
  "dependencies": {
    "@angular/animations": "^21.2.7",
    "@angular/common": "^21.2.0",
    "@angular/compiler": "^21.2.0",
    "@angular/core": "^21.2.0",
    "@angular/forms": "^21.2.0",
    "@angular/platform-browser": "^21.2.0",
    "@angular/router": "^21.2.0",
    "@taiga-ui/cdk": "^5.1.0",
    "@taiga-ui/core": "^5.1.0",
    "@taiga-ui/icons": "^5.1.0",
    "@taiga-ui/kit": "^5.1.0",
    "@taiga-ui/styles": "^5.1.0",
    "hls.js": "^1.6.15",
    "rxjs": "~7.8.0",
    "tslib": "^2.3.0"
  },
  "devDependencies": {
    "@angular/build": "^21.2.6",
    "@angular/cli": "^21.2.6",
    "@angular/compiler-cli": "^21.2.0",
    "@eslint/js": "^10.0.1",
    "angular-eslint": "21.3.1",
    "dotenv": "^16.4.7",
    "eslint": "^10.2.0",
    "jsdom": "^28.0.0",
    "less": "^4.6.4",
    "prettier": "^3.8.1",
    "typescript": "~5.9.2",
    "typescript-eslint": "^8.58.1",
    "vitest": "^4.0.8"
  }
}
